<bugID>592879<Summary>Detect and warn users that the current window.console API is third party</Summary><Description>detect a non-firefox console and respectfully leave it alone, adding an INFO or WARN message to the console about this.

let the user know that:

 "we have detected a 3rd party window.console API, and any calls to console.info/warn/log/error will not be displayed in the webconsole"

or something to that effect.</Description></bugID>